Bug 457942 - (CVE-2008-3279) CVE-2008-3279 brltty: insecure relative RPATH
CVE-2008-3279 brltty: insecure relative RPATH
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=redhat,reported=20080602,publi...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-05 12:49 EDT by Tomas Hoger
Modified: 2010-03-31 02:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-31 02:53:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-08-05 12:49:34 EDT
brltty packages as shipped in Red Hat Enterprise Linux 5 are built with an
insecure RPATH set in the ELF header of one of the libraries shipped in the
package.

This issue can possibly be exploited by a local attacker to run arbitrary code
as some other user if victim user can be convinced to run command using affected library in an attacker controlled directory with specially crafted content.

Affected binary: /usr/lib/brltty/libbrlttybba.so
RPATH: ../../Programs
Comment 1 Tomas Hoger 2008-08-05 12:51:12 EDT
This issue does not affect brltty 3.8 and 3.9 packages currently shipped in Fedora.
Comment 2 errata-xmlrpc 2010-03-30 03:48:54 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0181 https://rhn.redhat.com/errata/RHSA-2010-0181.html

Note You need to log in before you can comment on or make changes to this bug.